# Create API Key (/api-reference/create-api-key)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 619 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Create API Key

`POST /v0/api-keys`

Create API Key

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "CreateApiKeyRequest",
          "type": "object",
          "properties": {
            "name": {
              "title": "Name",
              "type": "string",
              "description": "Name of api key."
            }
          },
          "required": [
            "name"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "CreateApiKeyResponse",
            "type": "object",
            "properties": {
              "api_key_id": {
                "title": "ApiKeyId",
                "type": "string",
                "description": "ID of api key."
              },
              "api_key": {
                "type": "string",
                "description": "API key."
              },
              "prefix": {
                "title": "Prefix",
                "type": "string",
                "description": "Prefix of api key."
              },
              "name": {
                "title": "Name",
                "type": "string",
                "description": "Name of api key."
              },
              "created_at": {
                "title": "CreatedAt",
                "type": "string",
                "format": "date-time",
                "description": "Time at which api key was created."
              }
            },
            "required": [
              "api_key_id",
              "api_key",
              "prefix",
              "name",
              "created_at"
            ]
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    }
  }
}
```
